package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.MemberPrivilegesItem;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectPlan;

/**
 * 乐团报名缴费相关信息
 */
public class MusicGroupSubjectGoodsAndInfoDto {

    //课程信息
    private Map CourseScheduleInfo;

    //乐团声部商品信息
    private List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroupList;

    //乐团计划及收费信息
    private MusicGroupSubjectPlan musicGroupSubjectPlan;

    //学生定制商品
    private List<Goods> studentGoods;

    //其他商品（教材、琴谱）
    private List<Goods> otherGoods;

    @ApiModelProperty(value = "乐团报名缴费日历",required = false)
    private MusicGroupPaymentCalender musicGroupPaymentCalender;

    @ApiModelProperty(value = "乐团信息",required = false)
    private MusicGroup musicGroup;

    @ApiModelProperty(value = "乐团云教练价格",required = false)
    private BigDecimal cloudTeacherFee;

    @ApiModelProperty(value = "乐团云教练+价格",required = false)
    private BigDecimal cloudTeacherPlusFee;
    
    @ApiModelProperty(value = "会员权益",required = false)
    private List<MemberPrivilegesItem> memberPrivilegesItemList;

    public Map getCourseScheduleInfo() {
        return CourseScheduleInfo;
    }

    public void setCourseScheduleInfo(Map courseScheduleInfo) {
        CourseScheduleInfo = courseScheduleInfo;
    }

    public List<MusicGroupSubjectGoodsGroup> getMusicGroupSubjectGoodsGroupList() {
        return musicGroupSubjectGoodsGroupList;
    }

    public void setMusicGroupSubjectGoodsGroupList(List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroupList) {
        this.musicGroupSubjectGoodsGroupList = musicGroupSubjectGoodsGroupList;
    }

    public MusicGroupSubjectPlan getMusicGroupSubjectPlan() {
        return musicGroupSubjectPlan;
    }

    public void setMusicGroupSubjectPlan(MusicGroupSubjectPlan musicGroupSubjectPlan) {
        this.musicGroupSubjectPlan = musicGroupSubjectPlan;
    }

    public List<Goods> getOtherGoods() {
        return otherGoods;
    }

    public void setOtherGoods(List<Goods> otherGoods) {
        this.otherGoods = otherGoods;
    }

    public List<Goods> getStudentGoods() {
        return studentGoods;
    }

    public void setStudentGoods(List<Goods> studentGoods) {
        this.studentGoods = studentGoods;
    }

    public MusicGroupPaymentCalender getMusicGroupPaymentCalender() {
        return musicGroupPaymentCalender;
    }

    public void setMusicGroupPaymentCalender(MusicGroupPaymentCalender musicGroupPaymentCalender) {
        this.musicGroupPaymentCalender = musicGroupPaymentCalender;
    }

    public MusicGroup getMusicGroup() {
        return musicGroup;
    }

    public void setMusicGroup(MusicGroup musicGroup) {
        this.musicGroup = musicGroup;
    }

    public BigDecimal getCloudTeacherFee() {
        return cloudTeacherFee;
    }

    public void setCloudTeacherFee(BigDecimal cloudTeacherFee) {
        this.cloudTeacherFee = cloudTeacherFee;
    }

    public BigDecimal getCloudTeacherPlusFee() {
        return cloudTeacherPlusFee;
    }

    public void setCloudTeacherPlusFee(BigDecimal cloudTeacherPlusFee) {
        this.cloudTeacherPlusFee = cloudTeacherPlusFee;
    }

	public List<MemberPrivilegesItem> getMemberPrivilegesItemList() {
		return memberPrivilegesItemList;
	}

	public void setMemberPrivilegesItemList(List<MemberPrivilegesItem> memberPrivilegesItemList) {
		this.memberPrivilegesItemList = memberPrivilegesItemList;
	}
}
